# -*- coding: utf-8 -*-
import scrapy
from .base import BaseSpider


class NanaSpider(BaseSpider):
    name = "nana"
    allowed_domains = ["nanalyze.com"]
    start_urls = ['http://www.nanalyze.com/tag/google/']

    def start_requests(self):
        for i in self.companies(self.name):
            try:
                yield scrapy.Request(i.url, callback=self.parse, meta={'company': i, 'post_id': 0})
            except:
                pass

    def parse(self, response):
        for i in response.xpath('.//article[@class="tease tease-post"]/div[@class="tease-content"]'):
            # url, title, description
            d = i.xpath('./h2/a/@href | ./h2/a/text() | ./p/text()').extract()
            date = self.format_date(i.xpath('./text()').extract()[1].strip())
            print(date)